rust-coreutils (0.1.0+git20250813.4af2a84-0ubuntu1) questing; urgency=medium

  * New upstream release.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 14 Aug 2025 16:00:22 +0200

rust-coreutils (0.1.0+git20250801.cf79675-0ubuntu1) questing; urgency=medium

  * New upstream release.
    - Fixes env(1) forks, but must exec() directly (LP: #2112491)
    - Fixes cat: f.gz: EPIPE: Broken pipe (LP: #2115033)
    - Fixes date parsing does not support sub-second precision (LP: #2111603)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 01 Aug 2025 17:10:13 +0200

rust-coreutils (0.1.0+git20250711.2ba3a33-0ubuntu4) questing; urgency=medium

  * Cherry pick mknod --mode fix (LP: #2116973)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 29 Jul 2025 18:40:35 +0200

rust-coreutils (0.1.0+git20250711.2ba3a33-0ubuntu3) questing; urgency=medium

  * install-Fix-no-target-directory-with-existing-file.patch: Cherry pick
    my pull request to fix --no-target-directory with existing target file
    (LP: #2118785)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 29 Jul 2025 12:17:51 +0200

rust-coreutils (0.1.0+git20250711.2ba3a33-0ubuntu2) questing; urgency=medium

  * d/b/install-mkdir-Handle-dir-.-like-dir.patch: Handle dir/./ like dir/.
    (LP: #2117466)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 22 Jul 2025 09:48:08 +0200

rust-coreutils (0.1.0+git20250711.2ba3a33-0ubuntu1) questing; urgency=medium

  * New upstream git commit 0.1.0+git20250711.2ba3a33
    - Fix  'od' invalid handling of non ascii chars (LP: #2114827)
    - Fix `cp -a` fails to copy symlink to directory (LP: #2116859)
    - Fix dpkg-source fails to unpack broken symlink (LP: #2116886)
    - Fix Incorrect evaluation of expr (LP: #2112445)
    - Fix cat doesn't handle EPERM (LP: #2112552)
    - Fix  /bin/stty: invalid argument 'sane' (LP: #2113983)
    - Fix tee is buffered (LP: #2114706)
    - Fix rm of long paths (LP: #2114886)
    - Fix ls doesn't include acl "+" info on symlink (LP: #2114887)
    - Fix fold: failed to read line: stream did not contain valid UTF-8
      (LP: #2114970)
    - Fix  gpgrt-config invalid output due to rust-coreutils "expr"
      (LP: #2115147)
    - Fix `cp --no-dereference --parents` where source is a symlink to
      a directory (LP: #2116572)
    - Internationalization and French translations for a lot of stuff
  * Install locales
  * d/patches/Setup-localization-for-utility-symlinks.patch: Setup the
    localization when invoked via symlinks

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 21 Jul 2025 12:48:46 +0200

rust-coreutils (0.1.0-0ubuntu1) questing; urgency=medium

  * New upstream release.
    - Add the -Z,--context options (LP: #2110910)
    - Add install -T (LP: #2111714)
    - Improve echo -- handling (LP: #2115196)
    - Fixes chroot in namespace (LP: #2111882)
    - sha256sum and friends now correctly handle * (LP: #2113963)
    - rm: Don't prompt if stdin is not interactive (LP: #2115035)
  * Update vendored dependencies and rebase the patches
  * Use Rust 1.85 for building, a bunch of workarounds are needed right now:
    - Use a vendored copy of the cargo wrapper that hardcodes cargo-1.85
    - Remove the unneeded dh_auto_configure call, this duplicates what we
      already do explictly
    - Switch the build system to makefile, since we actually use the
      makefile buildsystem

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 04 Jul 2025 13:58:43 +0200

rust-coreutils (0.0.30-2ubuntu2) questing; urgency=medium

  * Add missing libselinux1-dev, libclang-dev build dependencies

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 03 Jun 2025 13:27:37 +0200

rust-coreutils (0.0.30-2ubuntu1) questing; urgency=medium

  * Vendor dependencies
    - debian/rules:
      + Add vendoring rules
      + Move the prepare-debian call to override_dh_auto_configure and adjust it
        to use our vendored dependencies
    - debian/patches:
      + Add workspace-exclude.patch to exclude vendored crates from the workspace
      + Drop all the patches to adjust crate versions
      + Drop all the patches to adjust code to different crate versions
      + Drop all the patches to disable certain programs or windows
        dependencies, as we can now
  * Build factor, basenc and install links for them
  * Build stty binary (LP: #2111211)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 03 Jun 2025 12:24:02 +0200

rust-coreutils (0.0.30-2) unstable; urgency=medium

  [ Dylan Aïssi ]
  * disable stdbuf
  * tweak build profile for right balance between the smallest binary size and enough debug info

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 24 Apr 2025 21:02:55 +0200

rust-coreutils (0.0.30-1) unstable; urgency=medium

  * New upstream release
    (Closes: #1101590)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 04 Apr 2025 23:49:25 +0200

rust-coreutils (0.0.27-3) unstable; urgency=medium

  [ NoisyCoil ]
  * Team upload.
  * Package coreutils 0.0.27 from crates.io using debcargo 2.7.5
  * Remove unused librust-users-dev build-dependency
    (Closes: #1089872)

  [ Sylvestre Ledru ]
  * Update of the description. Thanks to Dylan Aissi
  * Fix the executable-not-elf-or-script warning
  * Remove old patches

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 22 Dec 2024 13:56:37 +0100

rust-coreutils (0.0.27-2) unstable; urgency=medium

  * Team upload.
  * Update for nix 0.28 (Closes: #1085563)
    + Drop relax-nix.patch and nix-0.27.patch
    + Add new patch for nix 0.29
  * Add patch to support rust-ini 0.18, since newer version is blocked on
    rust-trim-in-place clearing NEW.
  * Reduce context in patches to avoid problems applying them after changes
    in other patches.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 03 Nov 2024 17:56:48 +0000

rust-coreutils (0.0.27-1) unstable; urgency=medium

  * New upstream release
  * Disable factor as num-prime isn't working in Debian yet

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 03 Nov 2024 00:31:47 +0100

rust-coreutils (0.0.26-5) unstable; urgency=medium

  * Only apply the debug sed if the file exists (Closes: #1082938)
  * Fix the half dependency (Closes: #1083058) - was fixed in the previous
    upload but not closed

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 06 Oct 2024 10:58:56 +0200

rust-coreutils (0.0.26-4) unstable; urgency=medium

  * Team upload.
  * Stop patching cargo dependencies on half and glob. Update Debian build
    dependencies accordingly.
  * Reduce context in relax-itertools.diff, relax-gcd.diff, relax-fundu.diff
    and relax-hostname.diff to avoid fuzz.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 19 Sep 2024 14:50:41 +0000

rust-coreutils (0.0.26-3) unstable; urgency=medium

  * Relax notify dependency to support 6.x

 -- James McCoy <jamessan@debian.org>  Tue, 11 Jun 2024 16:29:09 -0400

rust-coreutils (0.0.26-2) unstable; urgency=medium

  * Team upload

  [ Sylvestre Ledru ]
  * As nix & chrono have been updated, remove the upstream cherry-picked
    patches

  [ Peter Michael Green ]
  * Fix build on 32-bit architectures with time64 (Closes: #1071048)
    + Use mem::zeroed to create timespec structs as they contain padding on
      time64 architectures.
    + Build-depend on librust-selinux-sys-dev (>= 0.6.7-2)  to pick up time64
      fix.
  * Add patch to support nix 0.27 (upstream uses 0.28).
  * Tighten nix dependency in debian/control, the nix 0.27 patch will need
    to be removed when debian upgrades to nix 0.28.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 15 May 2024 00:16:03 +0000

rust-coreutils (0.0.26-1) unstable; urgency=medium

  * New upstream release
    (Closes: #1067897, #1069413)
    Adds support for loongarch (Closes: #1059268)
  * remove librust-failure-dev, librust-failure-derive-dev unused deps
  * remove help2man from the build deps (not used)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 01 May 2024 14:03:13 +0200

rust-coreutils (0.0.23-3) unstable; urgency=medium

  * Team upload.
  * Fix Debian dependency for "half" crate.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 25 Jan 2024 08:27:35 +0000

rust-coreutils (0.0.23-2) unstable; urgency=medium

  * Team upload.
  * Relax crossterm dependency.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 22 Nov 2023 17:02:31 +0000

rust-coreutils (0.0.23-1) unstable; urgency=medium

  * New upstream release
  * Fix "Fails to build source after successful build"
    (closes: #1046006)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 18 Nov 2023 12:38:26 +0100

rust-coreutils (0.0.22-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 15 Oct 2023 22:04:25 +0200

rust-coreutils (0.0.21-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 03 Sep 2023 18:58:30 +0200

rust-coreutils (0.0.20-1) unstable; urgency=medium

  * New upstream release
  * librust-self-cell-dev is a new dep
  * Standards-Version updated 4.6.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 16 Jul 2023 18:34:00 +0200

rust-coreutils (0.0.19-3) unstable; urgency=medium

  * Team upload.
  * On 32-bit architectures, reduce debuginfo level and use thin lto rather
    than full lto to avoid issues with running out of address space.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 16 Jul 2023 00:20:58 +0000

rust-coreutils (0.0.19-2) unstable; urgency=medium

  * Add missing build dep
    librust-clap-mangen-dev

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 14 Jul 2023 17:17:12 +0200

rust-coreutils (0.0.19-1) unstable; urgency=medium

  [ Peter Michael Green ]
  * Drop empty patch lower-zip.diff
  * Drop relax-bstr.diff
  * Build-depend explicitly on version 4 of clap and clap-complete.

  [ Sylvestre Ledru ]
  * New upstream release
  * Add override_dh_dwz

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Jun 2023 14:04:16 +0200

rust-coreutils (0.0.17-2) unstable; urgency=medium

  * Unbreak the s390x build

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 23 Jan 2023 23:14:48 +0100

rust-coreutils (0.0.17-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 21 Jan 2023 23:27:05 +0100

rust-coreutils (0.0.16-4) unstable; urgency=medium

  * Team upload.
  * Bump lscolors dependency to 0.14 and build-depend explicitly on it.
  * Build-depend explicitly on version 3 of clap.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 14 Jan 2023 00:02:28 +0000

rust-coreutils (0.0.16-3) unstable; urgency=medium

  * Relax the dep on nix to unbreak the build

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 21 Dec 2022 09:31:17 +0100

rust-coreutils (0.0.16-2) unstable; urgency=medium

  * Run the tests (but don't fail the build if not 100%)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 03 Nov 2022 09:55:03 +0100

rust-coreutils (0.0.16-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 03 Nov 2022 09:34:36 +0100

rust-coreutils (0.0.15-1) unstable; urgency=medium

  * New upstream release
    - Update of the desc as all binaries exist now
      (some options are still missing)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 17 Sep 2022 13:54:25 +0200

rust-coreutils (0.0.14-4~exp2) experimental; urgency=medium

  * Fix the FTBFS on 32 bit with selinux

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 05 Aug 2022 19:08:59 +0200

rust-coreutils (0.0.14-4~exp1) experimental; urgency=medium

  * Use symlink instead of multiple binaries.
    Works the same way but decrease the footprint
    Use changes from apertis:
    https://gitlab.apertis.org/pkg/rust-coreutils/-/tree/apertis/v2023dev1/debian
  * Be more explicit for some dependencies
  * Build selinux binaries

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 04 Aug 2022 14:48:40 +0200

rust-coreutils (0.0.14-3) unstable; urgency=medium

  * Remove the ioctl dep and use the libc directly

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 10 Jun 2022 21:00:01 +0200

rust-coreutils (0.0.14-2) unstable; urgency=medium

  * Relax dep against exacl to unbreak the build
    and potentially fix the FTBFS

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 10 Jun 2022 08:05:39 +0200

rust-coreutils (0.0.14-1) unstable; urgency=medium

  * New upstream release
  * Added librust-selinux-dev, librust-conv-dev, librust-pretty-assertions-dev
    librust-time-dev, librust-unindent-dev, librust-rlimit-dev,
    librust-data-encoding-macro-dev, librust-dns-lookup-dev,
    librust-os-display-dev, librust-z85-dev, librust-fts-sys-dev,
    librust-exacl-dev, librust-byte-unit-dev, librust-gcd-dev,
    librust-signal-hook-dev, librust-paste-dev, librust-quickcheck-dev,
    librust-crossterm-dev, librust-bigdecimal-dev,
    librust-binary-heap-plus-dev, librust-ouroboros-dev,
    librust-memmap2-dev, librust-retain-mut-dev,
    librust-strum-dev, librust-utf-8-dev
    as new deps
  * Fix various dep issues (Closes: #995914)
  * Package coreutils 0.0.14 from crates.io using debcargo 2.5.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 05 Jun 2022 23:50:57 +0200

rust-coreutils (0.0.6-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 03 Apr 2021 12:08:24 +0200

rust-coreutils (0.0.4-1~exp2) experimental; urgency=medium

  * Binaries have been moved in usr/lib/cargo/bin/coreutils
    The rationale is that some other rust programs are installed
    in this directory (ex: /usr/lib/cargo/bin/fd). So, users might
    add /usr/lib/cargo/bin/ to their PATH and caused some unexpected
    errors if the Rust coreutils binaries aren't behaving like GNU's.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 23 Mar 2021 10:57:54 +0100

rust-coreutils (0.0.4-1~exp1) experimental; urgency=medium

  * New upstream release
  * Rebase of the patches
  * Set a minimal version for platform-info
  * Use PROFILE=release instead of a silly sed

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 04 Feb 2021 11:28:54 +0100

rust-coreutils (0.0.3-1~exp2) experimental; urgency=medium

  * Set a minimal version for librust-hostname-dev
  * chroot, hashsum, hostname, kill, more, relpath and uptime were
    not installed
  * Add fail missing

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 03 Feb 2021 17:02:19 +0100

rust-coreutils (0.0.3-1~exp1) experimental; urgency=medium

  * New upstream release
  * Add missing build dependency (librust-cpp-build-dev)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Feb 2021 13:31:05 +0100

rust-coreutils (0.0.2-1~exp1) experimental; urgency=medium

  * Package coreutils 0.0.2 from crates.io using debcargo 2.4.4-alpha.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 11 Jan 2021 22:15:47 +0100
